<script lang="ts">
	import type { status as statusType } from "./types/status"
	import type incidentsType from "./types/incidents"
	
	import { INCIDENTS_URL, STATUS_URL } from "./config"

	import Navigation from "./components/Navigation.svelte"
	import Error from "./components/Error.svelte"

	import Header from "./components/Header.svelte"
	import Status from "./components/status/Status.svelte"
	import Incdents from "./components/Incidents.svelte"
	import Updates from "./components/Updates.svelte"

	const getData = async () => {
		const status = await (await fetch(STATUS_URL)).json() as statusType
		const incidents = await (await fetch(INCIDENTS_URL)).json() as incidentsType

		return { status, incidents }
	}

	let promise = getData()

	export let serviceWorkerAvailable: boolean
</script>

<Navigation></Navigation>
<div id="background-wave" style="background-image: url(&quot;https://homeworker.li/assets/svg/website/wave_top.svg&quot;); background-size: cover; height: 100vh; position: fixed; top: 0px; bottom: 0px; left: 0px; right: 0px; z-index: -1; opacity: 1; background-repeat: no-repeat no-repeat;"></div>

{#await promise}
	<h1>Lade Daten vom Server...</h1>
{:then { status, incidents }}
	<Header {status}></Header>
	<Incdents {incidents}></Incdents>
	<Status {status}></Status>
	<Updates {serviceWorkerAvailable}></Updates>
{:catch error}
	<Error {error}></Error>
{/await}